Subject: bug#28277: emacs -nw bug?

From: [email-masked] (Richard Banach)
Date: Mon, 04 Nov 2019 14:53:39 +0000

hi,

thanks for the suggestion .......

ages ago, someone suggested

===============================================

(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(custom-enabled-themes nil))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(italic ((t (:underline nil))))
 '(underline ((t (:underline t)))))

===============================================

... and it seems to work fine :-)

richard.

===============================================
===============================================

Lars Ingebrigtsen <[email-masked]> wrote:

| [email-masked] (Richard Banach) writes:
|
| > I use   emacs -nw  and see what looks like a bug
| >
| > * in tex mode, if I type   $\it identifiername$   it doesn't recognise
| > the second $ as closing the scope of \it ... and wants to underline
| > everything that follows ... i haven't found how to turn this off
|
| The following patch fixes the problem -- but I'm not sure whether it
| could cause any regressions.
|
| Is
|
| \it foobar $math-stuff$
|
| or something like it possible?  It's been a while since I wrote any TeX.
|
|
| diff --git a/lisp/textmodes/tex-mode.el b/lisp/textmodes/tex-mode.el
| index f277defecf..9d9490602a 100644
| --- a/lisp/textmodes/tex-mode.el
| +++ b/lisp/textmodes/tex-mode.el
| @@ -593,7 +593,7 @@ tex-font-lock-keywords-2
|  	    ;; Miscellany.
|  	    (slash "\\\\")
|  	    (opt " *\\(\\[[^]]*\\] *\\)*")
| -	    (args "\\(\\(?:[^{}&\\]+\\|\\\\.\\|{[^}]*}\\)+\\)")
| +	    (args "\\(\\(?:[^${}&\\]+\\|\\\\.\\|{[^}]*}\\)+\\)")
|  	    (arg "{\\(\\(?:[^{}\\]+\\|\\\\.\\|{[^}]*}\\)+\\)"))
|         (list
|  	;;
|
|
| -- 
| (domestic pets only, the antidote for overdose, milk.)
|    bloggy blog: http://lars.ingebrigtsen.no